Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

packstack install errors

Running packstack --allinone on a freshly installed RH 6.4 ends with:

ERROR : Error appeared during Puppet run: 10.166.125.20_ceilometer.pp err: /Stage[main]/Ceilometer::Api/Package[ceilometer-api]/ensure: change from absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-ceilometer-api' returned 1: Error: Package: 1:python-flask-0.9-5.el6.noarch (epel)

I manually installed python-flask-0.9-5.el6.noarch and reran packstack -aalinone. Now it stops at a point where the first run was not a problem:

ERROR : Error appeared during Puppet run: 10.166.125.20_keystone.pp err: /Stage[main]/Neutron::Keystone::Auth/Keystone_user[neutron]: Could not evaluate: Execution of '/usr/bin/keystone --os-auth-url http://127.0.0.1:35357/v2.0/ token-get' returned 1: The request you have made requires authentication. (HTTP 401) You will find full trace in log /var/tmp/packstack/20140313-113220-XNECDh/manifests/10.166.125.20_keystone.pp.log

How to get over this and is there a procedure to cleanup leftovers from a previous attempt?

Tnx in advance for all replies.